## org.eclipse.datatools.sqltools.sqleditor.internal.templates
Class Messages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.datatools.sqltools.sqleditor.internal.templates.Messages

    public class Messages

extends org.eclipse.osgi.util.NLS

Author:
  lihuang

Field Summary
`static java.lang.String` `ContributionTemplateStore_ignore_deleted`
`static java.lang.String` `ContributionTemplateStore_ignore_no_id`
`static java.lang.String` `ContributionTemplateStore_ignore_validation_failed`
`static java.lang.String` `SQLTemplateProposal_proposalInfo`
`static java.lang.String` `SQLTemplateReaderWriter_duplicate_id`
`static java.lang.String` `SQLTemplateReaderWriter_error_illegal_boolean_attribute`
`static java.lang.String` `SQLTemplateReaderWriter_error_missing_attribute`
`static java.lang.String` `TemplateProposal_displayString`
`static java.lang.String` `TemplateProposal_errorDialog_title`

Method Summary
`static java.lang.String` `format(java.lang.String message, java.lang.Object argument)` Formats the given string with the given argument.
`static java.lang.String` `format(java.lang.String message, java.lang.Object[] arguments)` Formats the given string with the given argument.
`static java.lang.String` `getString(java.lang.String key)`

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TemplateProposal_displayString

    public static java.lang.String TemplateProposal_displayString

### TemplateProposal_errorDialog_title

    public static java.lang.String TemplateProposal_errorDialog_title

### ContributionTemplateStore_ignore_no_id

    public static java.lang.String ContributionTemplateStore_ignore_no_id

### ContributionTemplateStore_ignore_deleted

    public static java.lang.String ContributionTemplateStore_ignore_deleted

### ContributionTemplateStore_ignore_validation_failed

    public static java.lang.String ContributionTemplateStore_ignore_validation_failed

### SQLTemplateReaderWriter_duplicate_id

    public static java.lang.String SQLTemplateReaderWriter_duplicate_id

### SQLTemplateReaderWriter_error_missing_attribute

    public static java.lang.String SQLTemplateReaderWriter_error_missing_attribute

### SQLTemplateReaderWriter_error_illegal_boolean_attribute

    public static java.lang.String SQLTemplateReaderWriter_error_illegal_boolean_attribute

### SQLTemplateProposal_proposalInfo

    public static java.lang.String SQLTemplateProposal_proposalInfo

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

### format

    public static java.lang.String format(java.lang.String message,
                                          java.lang.Object argument)

  Formats the given string with the given argument.

  Parameters:
    `message` - the message to format, must not be `null`
    `argument` - the argument used to format the string
  Returns:
    the formatted string

### format

    public static java.lang.String format(java.lang.String message,
                                          java.lang.Object[] arguments)

  Formats the given string with the given argument.

  Parameters:
    `message` - the message to format, must not be `null`
    `arguments` - the arguments used to format the string
  Returns:
    the formatted string